searchData={"items":[{"type":"module","title":"Pact.Builders.InteractionBuilder","doc":"Builder for `Interaction` objects. Normally created via\n`Pact.Builder.PactBuilder.interaction`.","ref":"Pact.Builders.InteractionBuilder.html"},{"type":"function","title":"Pact.Builders.InteractionBuilder.build/1","doc":"The interaction we've built.","ref":"Pact.Builders.InteractionBuilder.html#build/1"},{"type":"function","title":"Pact.Builders.InteractionBuilder.build_v4/1","doc":"The interaction we've built (in V4 format).","ref":"Pact.Builders.InteractionBuilder.html#build_v4/1"},{"type":"function","title":"Pact.Builders.InteractionBuilder.comment/2","doc":"Adds a text comment to this interaction. This allows to specify just a bit more information about the interaction. It has no functional impact, but can be displayed in the broker HTML page, and potentially in the test output.","ref":"Pact.Builders.InteractionBuilder.html#comment/2"},{"type":"function","title":"Pact.Builders.InteractionBuilder.given/2","doc":"Specify a \"provider state\" for this interaction. This is normally use to\nset up database fixtures when using a pact to test a provider.","ref":"Pact.Builders.InteractionBuilder.html#given/2"},{"type":"function","title":"Pact.Builders.InteractionBuilder.given_with_params/3","doc":"Specify a \"provider state\" for this interaction with some defined parameters. This is normally use to set up database fixtures when using a pact to test a provider.","ref":"Pact.Builders.InteractionBuilder.html#given_with_params/3"},{"type":"function","title":"Pact.Builders.InteractionBuilder.new/2","doc":"Create a new interaction.","ref":"Pact.Builders.InteractionBuilder.html#new/2"},{"type":"function","title":"Pact.Builders.InteractionBuilder.pending/2","doc":"Sets this interaction as pending. This will permantly mark the interaction as pending in the\nPact file, and it will not cause a verification failure.","ref":"Pact.Builders.InteractionBuilder.html#pending/2"},{"type":"function","title":"Pact.Builders.InteractionBuilder.request/2","doc":"Define the request for this interaction.","ref":"Pact.Builders.InteractionBuilder.html#request/2"},{"type":"function","title":"Pact.Builders.InteractionBuilder.response/2","doc":"Define the response for this interaction.","ref":"Pact.Builders.InteractionBuilder.html#response/2"},{"type":"function","title":"Pact.Builders.InteractionBuilder.test_name/2","doc":"Sets the test name for this interaction. This allows to specify just a bit more information about the interaction. It has no functional impact, but can be displayed in the broker HTML page, and potentially in the test output.","ref":"Pact.Builders.InteractionBuilder.html#test_name/2"},{"type":"function","title":"Pact.Builders.InteractionBuilder.transport/2","doc":"Sets the protocol transport for this interaction. This would be required when there are different types of interactions in the Pact file (i.e. HTTP and messages).","ref":"Pact.Builders.InteractionBuilder.html#transport/2"},{"type":"function","title":"Pact.Builders.InteractionBuilder.with_key/2","doc":"Specify a unique key for this interaction. This key will be used to determin\nequality of the interaction, so must be unique.","ref":"Pact.Builders.InteractionBuilder.html#with_key/2"},{"type":"module","title":"Pact.Builders.MessageBuilder","doc":"Asynchronous message interaction builder. Normally created via `Pact.Builders.PactBuilder.message_interaction`.","ref":"Pact.Builders.MessageBuilder.html"},{"type":"function","title":"Pact.Builders.MessageBuilder.build/1","doc":"The interaction we've built","ref":"Pact.Builders.MessageBuilder.html#build/1"},{"type":"function","title":"Pact.Builders.MessageBuilder.comment/2","doc":"Adds a text comment to this interaction. This allows to specify just a bit more information about the interaction. It has no functional impact, but can be displayed in the broker HTML page, and potentially in the test output.","ref":"Pact.Builders.MessageBuilder.html#comment/2"},{"type":"function","title":"Pact.Builders.MessageBuilder.given/2","doc":"Specify a \"provider state\" for this interaction. This is normally use to set up database fixtures when using a pact to test a provider.","ref":"Pact.Builders.MessageBuilder.html#given/2"},{"type":"function","title":"Pact.Builders.MessageBuilder.given_with_params/3","doc":"Specify a \"provider state\" for this interaction with some defined parameters. This is normally use to set up database fixtures when using a pact to test a provider.","ref":"Pact.Builders.MessageBuilder.html#given_with_params/3"},{"type":"function","title":"Pact.Builders.MessageBuilder.json_body/2","doc":"Specify the body as `JsonPattern`, possibly including special matching\nrules.","ref":"Pact.Builders.MessageBuilder.html#json_body/2"},{"type":"function","title":"Pact.Builders.MessageBuilder.new/1","doc":"Create a new message interaction builder, Description is the interaction description and interaction_type is the type of message (leave empty for the default type).","ref":"Pact.Builders.MessageBuilder.html#new/1"},{"type":"function","title":"Pact.Builders.MessageBuilder.pending/2","doc":"Sets this interaction as pending. This will permantly mark the interaction as pending in the Pact file, and it will not cause a verification failure.","ref":"Pact.Builders.MessageBuilder.html#pending/2"},{"type":"function","title":"Pact.Builders.MessageBuilder.test_name/2","doc":"Sets the test name for this interaction. This allows to specify just a bit more information about the interaction. It has no functional impact, but can be displayed in the broker HTML page, and potentially in the test output.","ref":"Pact.Builders.MessageBuilder.html#test_name/2"},{"type":"function","title":"Pact.Builders.MessageBuilder.with_key/2","doc":"Specify a unique key for this interaction. This key will be used to determine equality of the interaction, so must be unique.","ref":"Pact.Builders.MessageBuilder.html#with_key/2"},{"type":"module","title":"Pact.Builders.PactBuilder","doc":"Builder for `Pact` objects.","ref":"Pact.Builders.PactBuilder.html"},{"type":"function","title":"Pact.Builders.PactBuilder.interaction/4","doc":"Add a new HTTP `Interaction` to the `Pact`. Needs to return a clone of the builder that is passed in.","ref":"Pact.Builders.PactBuilder.html#interaction/4"},{"type":"function","title":"Pact.Builders.PactBuilder.message_interaction/3","doc":"Add a new Asynchronous message `Interaction` to the `Pact`","ref":"Pact.Builders.PactBuilder.html#message_interaction/3"},{"type":"function","title":"Pact.Builders.PactBuilder.messages/1","doc":"Returns an iterator over the asynchronous messages in the Pact","ref":"Pact.Builders.PactBuilder.html#messages/1"},{"type":"function","title":"Pact.Builders.PactBuilder.new/2","doc":"Create a new `PactBuilder`, specifying the names of the service\nconsuming the API and the service providing it.","ref":"Pact.Builders.PactBuilder.html#new/2"},{"type":"function","title":"Pact.Builders.PactBuilder.new_v4/2","doc":"Create a new `PactBuilder` for a V4 specification Pact, specifying the names of the service consuming the API and the service providing it.","ref":"Pact.Builders.PactBuilder.html#new_v4/2"},{"type":"function","title":"Pact.Builders.PactBuilder.start_mock_server/1","doc":"Start a mock server running in a background thread. If the catalog entry is omitted, then a standard HTTP mock server will be started.","ref":"Pact.Builders.PactBuilder.html#start_mock_server/1"},{"type":"function","title":"Pact.Builders.PactBuilder.v4?/1","doc":"Checks whether the given pact builder is using the V4 specification.","ref":"Pact.Builders.PactBuilder.html#v4?/1"},{"type":"module","title":"Pact.Builders.RequestBuilder","doc":"Builder for `Request` objects. Normally created via `Pact.Builders.PactBuilder`.","ref":"Pact.Builders.RequestBuilder.html"},{"type":"function","title":"Pact.Builders.RequestBuilder.body2/3","doc":"Specify a body literal with content type. This does not allow using patterns.","ref":"Pact.Builders.RequestBuilder.html#body2/3"},{"type":"function","title":"Pact.Builders.RequestBuilder.body/2","doc":"Specify a body literal. This does not allow using patterns.","ref":"Pact.Builders.RequestBuilder.html#body/2"},{"type":"function","title":"Pact.Builders.RequestBuilder.body_matching2/3","doc":"Specify a text body matching the given pattern with a content type.","ref":"Pact.Builders.RequestBuilder.html#body_matching2/3"},{"type":"function","title":"Pact.Builders.RequestBuilder.body_matching/2","doc":"Specify a text body (text/plain) matching the given pattern.","ref":"Pact.Builders.RequestBuilder.html#body_matching/2"},{"type":"function","title":"Pact.Builders.RequestBuilder.build/1","doc":"Build the specified `Request` object.","ref":"Pact.Builders.RequestBuilder.html#build/1"},{"type":"function","title":"Pact.Builders.RequestBuilder.build_v4/1","doc":"Build the specified `Request` object in V4 format.","ref":"Pact.Builders.RequestBuilder.html#build_v4/1"},{"type":"function","title":"Pact.Builders.RequestBuilder.content_type/2","doc":"Set the `Content-Type` header.","ref":"Pact.Builders.RequestBuilder.html#content_type/2"},{"type":"function","title":"Pact.Builders.RequestBuilder.default/0","doc":"Creates and returns a new request builder with default settings.","ref":"Pact.Builders.RequestBuilder.html#default/0"},{"type":"function","title":"Pact.Builders.RequestBuilder.delete/1","doc":"Set the HTTP method to `DELETE`.","ref":"Pact.Builders.RequestBuilder.html#delete/1"},{"type":"function","title":"Pact.Builders.RequestBuilder.get/1","doc":"Set the HTTP method to `GET`. This is the default, so we don't actually care.","ref":"Pact.Builders.RequestBuilder.html#get/1"},{"type":"function","title":"Pact.Builders.RequestBuilder.header/3","doc":"Specify a header pattern.","ref":"Pact.Builders.RequestBuilder.html#header/3"},{"type":"function","title":"Pact.Builders.RequestBuilder.header_from_provider_state/4","doc":"Specify a header pattern and a generator from provider state.","ref":"Pact.Builders.RequestBuilder.html#header_from_provider_state/4"},{"type":"function","title":"Pact.Builders.RequestBuilder.html/1","doc":"Set the `Content-Type` header to `text/html`.","ref":"Pact.Builders.RequestBuilder.html#html/1"},{"type":"function","title":"Pact.Builders.RequestBuilder.json_body/2","doc":"Specify the body as `JsonPattern`, possibly including special matching rules.","ref":"Pact.Builders.RequestBuilder.html#json_body/2"},{"type":"function","title":"Pact.Builders.RequestBuilder.json_utf8/1","doc":"Set the `Content-Type` header to `application/json; charset=utf-8`,\nwith enough flexibility to cover common variations.","ref":"Pact.Builders.RequestBuilder.html#json_utf8/1"},{"type":"function","title":"Pact.Builders.RequestBuilder.method/2","doc":"Specify the request method. Defaults to `\"GET\"`.","ref":"Pact.Builders.RequestBuilder.html#method/2"},{"type":"function","title":"Pact.Builders.RequestBuilder.path/2","doc":"Specify the request path. Defaults to `\"/\"`.","ref":"Pact.Builders.RequestBuilder.html#path/2"},{"type":"function","title":"Pact.Builders.RequestBuilder.path_from_provider_state/3","doc":"Specify the request path with generators. Defaults to `\"/\"`.","ref":"Pact.Builders.RequestBuilder.html#path_from_provider_state/3"},{"type":"function","title":"Pact.Builders.RequestBuilder.post/1","doc":"Set the HTTP method to `POST`.","ref":"Pact.Builders.RequestBuilder.html#post/1"},{"type":"function","title":"Pact.Builders.RequestBuilder.put/1","doc":"Set the HTTP method to `PUT`.","ref":"Pact.Builders.RequestBuilder.html#put/1"},{"type":"function","title":"Pact.Builders.RequestBuilder.query_param/3","doc":"Specify a query parameter. You may pass either a single value or a list of values to represent a repeated parameter.\nTo pass multiple parameters with the same name, call `query_param` more than once with the same `key`.","ref":"Pact.Builders.RequestBuilder.html#query_param/3"},{"type":"module","title":"Pact.Builders.ResponseBuilder","doc":"Builder for `Response` objects. Normally created via `Pact.Builders.PactBuilder`.","ref":"Pact.Builders.ResponseBuilder.html"},{"type":"function","title":"Pact.Builders.ResponseBuilder.body2/3","doc":"Specify a body literal with content type. This does not allow using patterns.","ref":"Pact.Builders.ResponseBuilder.html#body2/3"},{"type":"function","title":"Pact.Builders.ResponseBuilder.body/2","doc":"Specify a body literal. This does not allow using patterns.","ref":"Pact.Builders.ResponseBuilder.html#body/2"},{"type":"function","title":"Pact.Builders.ResponseBuilder.body_matching2/3","doc":"Specify a text body matching the given pattern with a content type.","ref":"Pact.Builders.ResponseBuilder.html#body_matching2/3"},{"type":"function","title":"Pact.Builders.ResponseBuilder.body_matching/2","doc":"Specify a text body (text/plain) matching the given pattern.","ref":"Pact.Builders.ResponseBuilder.html#body_matching/2"},{"type":"function","title":"Pact.Builders.ResponseBuilder.build/1","doc":"Build the specified `Response` object.","ref":"Pact.Builders.ResponseBuilder.html#build/1"},{"type":"function","title":"Pact.Builders.ResponseBuilder.build_v4/1","doc":"Build the specified `Response` object in V4 format.","ref":"Pact.Builders.ResponseBuilder.html#build_v4/1"},{"type":"function","title":"Pact.Builders.ResponseBuilder.content_type/2","doc":"Set the `Content-Type` header.","ref":"Pact.Builders.ResponseBuilder.html#content_type/2"},{"type":"function","title":"Pact.Builders.ResponseBuilder.created/1","doc":"Set the status code to `201 Created`.","ref":"Pact.Builders.ResponseBuilder.html#created/1"},{"type":"function","title":"Pact.Builders.ResponseBuilder.default/0","doc":"","ref":"Pact.Builders.ResponseBuilder.html#default/0"},{"type":"function","title":"Pact.Builders.ResponseBuilder.forbidden/1","doc":"Set the status code to `403 Forbidden`.","ref":"Pact.Builders.ResponseBuilder.html#forbidden/1"},{"type":"function","title":"Pact.Builders.ResponseBuilder.header/3","doc":"Specify a header pattern.","ref":"Pact.Builders.ResponseBuilder.html#header/3"},{"type":"function","title":"Pact.Builders.ResponseBuilder.header_from_provider_state/4","doc":"Specify a header pattern and a generator from provider state.","ref":"Pact.Builders.ResponseBuilder.html#header_from_provider_state/4"},{"type":"function","title":"Pact.Builders.ResponseBuilder.html/1","doc":"Set the `Content-Type` header to `text/html`.","ref":"Pact.Builders.ResponseBuilder.html#html/1"},{"type":"function","title":"Pact.Builders.ResponseBuilder.json_body/2","doc":"Specify a body literal. This does not allow using patterns.","ref":"Pact.Builders.ResponseBuilder.html#json_body/2"},{"type":"function","title":"Pact.Builders.ResponseBuilder.json_utf8/1","doc":"Set the `Content-Type` header to `application/json; charset=utf-8`,\nwith enough flexibility to cover common variations.","ref":"Pact.Builders.ResponseBuilder.html#json_utf8/1"},{"type":"function","title":"Pact.Builders.ResponseBuilder.no_content/1","doc":"Set the status code to `204 No Content`.","ref":"Pact.Builders.ResponseBuilder.html#no_content/1"},{"type":"function","title":"Pact.Builders.ResponseBuilder.not_found/1","doc":"Set the status code to `404 Not Found`.","ref":"Pact.Builders.ResponseBuilder.html#not_found/1"},{"type":"function","title":"Pact.Builders.ResponseBuilder.ok/1","doc":"Set the status code to `200 OK`. (This is default.)","ref":"Pact.Builders.ResponseBuilder.html#ok/1"},{"type":"function","title":"Pact.Builders.ResponseBuilder.status/2","doc":"Set the status code for the response. Defaults to `200`.","ref":"Pact.Builders.ResponseBuilder.html#status/2"},{"type":"function","title":"Pact.Builders.ResponseBuilder.unauthorized/1","doc":"Set the status code to `401 Unauthorized`.","ref":"Pact.Builders.ResponseBuilder.html#unauthorized/1"},{"type":"module","title":"Pact.MockServer","doc":"A mock server that handles the requests described in a `Pact`, intended\nfor use in tests, and validates that the requests made to that server are\ncorrect.\n\nBecause this is intended for use in tests, it will panic if something goes\nwrong.","ref":"Pact.MockServer.html"},{"type":"function","title":"Pact.MockServer.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Pact.MockServer.html#child_spec/1"},{"type":"function","title":"Pact.MockServer.path/2","doc":"Given a path string, return a URL pointing to that path on the mock\nserver. If the path cannot be parsed as URL, **this function will\npanic**. For a non-panicking version, call Pact.MockServer.url/1 instead and build\nthis path yourself.","ref":"Pact.MockServer.html#path/2"},{"type":"function","title":"Pact.MockServer.start/1","doc":"","ref":"Pact.MockServer.html#start/1"},{"type":"function","title":"Pact.MockServer.url/1","doc":"The base URL of the mock server. You can make normal HTTP requests using this\nas the base URL (if it is a HTTP-based mock server).","ref":"Pact.MockServer.html#url/1"},{"type":"module","title":"Pact.Models.V4.AsynchronousMessage","doc":"Asynchronous interactions as a sequence of messages","ref":"Pact.Models.V4.AsynchronousMessage.html"},{"type":"function","title":"Pact.Models.V4.AsynchronousMessage.bytes/1","doc":"Returns the raw content of the asynchronous message as a binary.","ref":"Pact.Models.V4.AsynchronousMessage.html#bytes/1"},{"type":"module","title":"Pact.Native.PactConsumer.AsynchronousMessage","doc":"Asynchronous Message","ref":"Pact.Native.PactConsumer.AsynchronousMessage.html"},{"type":"type","title":"Pact.Native.PactConsumer.AsynchronousMessage.t/0","doc":"","ref":"Pact.Native.PactConsumer.AsynchronousMessage.html#t:t/0"},{"type":"module","title":"Pact.Native.PactConsumer.HttpRequest","doc":"Http Request","ref":"Pact.Native.PactConsumer.HttpRequest.html"},{"type":"type","title":"Pact.Native.PactConsumer.HttpRequest.t/0","doc":"","ref":"Pact.Native.PactConsumer.HttpRequest.html#t:t/0"},{"type":"module","title":"Pact.Native.PactConsumer.HttpResponse","doc":"Http Response","ref":"Pact.Native.PactConsumer.HttpResponse.html"},{"type":"type","title":"Pact.Native.PactConsumer.HttpResponse.t/0","doc":"","ref":"Pact.Native.PactConsumer.HttpResponse.html#t:t/0"},{"type":"module","title":"Pact.Native.PactConsumer.Interaction","doc":"Interaction","ref":"Pact.Native.PactConsumer.Interaction.html"},{"type":"type","title":"Pact.Native.PactConsumer.Interaction.t/0","doc":"","ref":"Pact.Native.PactConsumer.Interaction.html#t:t/0"},{"type":"module","title":"Pact.Native.PactConsumer.InteractionBuilder","doc":"Interaction Builder","ref":"Pact.Native.PactConsumer.InteractionBuilder.html"},{"type":"type","title":"Pact.Native.PactConsumer.InteractionBuilder.t/0","doc":"","ref":"Pact.Native.PactConsumer.InteractionBuilder.html#t:t/0"},{"type":"module","title":"Pact.Native.PactConsumer.MessageInteractionBuilder","doc":"Message Interaction Builder","ref":"Pact.Native.PactConsumer.MessageInteractionBuilder.html"},{"type":"type","title":"Pact.Native.PactConsumer.MessageInteractionBuilder.t/0","doc":"","ref":"Pact.Native.PactConsumer.MessageInteractionBuilder.html#t:t/0"},{"type":"module","title":"Pact.Native.PactConsumer.PactBuilder","doc":"Pact Builder","ref":"Pact.Native.PactConsumer.PactBuilder.html"},{"type":"type","title":"Pact.Native.PactConsumer.PactBuilder.t/0","doc":"","ref":"Pact.Native.PactConsumer.PactBuilder.html#t:t/0"},{"type":"module","title":"Pact.Native.PactConsumer.Request","doc":"Request","ref":"Pact.Native.PactConsumer.Request.html"},{"type":"type","title":"Pact.Native.PactConsumer.Request.t/0","doc":"","ref":"Pact.Native.PactConsumer.Request.html#t:t/0"},{"type":"module","title":"Pact.Native.PactConsumer.RequestBuilder","doc":"Request Builder","ref":"Pact.Native.PactConsumer.RequestBuilder.html"},{"type":"type","title":"Pact.Native.PactConsumer.RequestBuilder.t/0","doc":"","ref":"Pact.Native.PactConsumer.RequestBuilder.html#t:t/0"},{"type":"module","title":"Pact.Native.PactConsumer.Response","doc":"Response","ref":"Pact.Native.PactConsumer.Response.html"},{"type":"type","title":"Pact.Native.PactConsumer.Response.t/0","doc":"","ref":"Pact.Native.PactConsumer.Response.html#t:t/0"},{"type":"module","title":"Pact.Native.PactConsumer.ResponseBuilder","doc":"Response Builder","ref":"Pact.Native.PactConsumer.ResponseBuilder.html"},{"type":"type","title":"Pact.Native.PactConsumer.ResponseBuilder.t/0","doc":"","ref":"Pact.Native.PactConsumer.ResponseBuilder.html#t:t/0"},{"type":"module","title":"Pact.Native.PactConsumer.ValidatingMockServer","doc":"Validating Mock Server","ref":"Pact.Native.PactConsumer.ValidatingMockServer.html"},{"type":"type","title":"Pact.Native.PactConsumer.ValidatingMockServer.t/0","doc":"","ref":"Pact.Native.PactConsumer.ValidatingMockServer.html#t:t/0"},{"type":"module","title":"Pact.Patterns","doc":"A module for creating JSON and string patterns for Pact testing.\n\nJSON patterns can include various data types and matchers, while string patterns\nare limited to strings and specific matchers.","ref":"Pact.Patterns.html"},{"type":"function","title":"Pact.Patterns.datetime/2","doc":"Creates a datetime matcher for both JSON and string patterns.","ref":"Pact.Patterns.html#datetime/2"},{"type":"function","title":"Examples - Pact.Patterns.datetime/2","doc":"iex> Pact.Patterns.datetime(\"yyyy-MM-dd\", \"2000-01-01\")\n    {:datetime, \"yyyy-MM-dd\", \"2000-01-01\"}","ref":"Pact.Patterns.html#datetime/2-examples"},{"type":"function","title":"Pact.Patterns.each_like/2","doc":"Creates an each_like matcher for JSON arrays with optional minimum length.","ref":"Pact.Patterns.html#each_like/2"},{"type":"function","title":"Parameters - Pact.Patterns.each_like/2","doc":"- pattern: The example pattern for array elements\n  - min_length: Minimum required array length (default: 1, must be ≥ 0)","ref":"Pact.Patterns.html#each_like/2-parameters"},{"type":"function","title":"Examples - Pact.Patterns.each_like/2","doc":"# With default minimum length\n    iex> Pact.Patterns.each_like(\"item\")\n    {:each_like, \"item\", 1}\n\n    # With explicit minimum length\n    iex> Pact.Patterns.each_like(\"item\", 3)\n    {:each_like, \"item\", 3}","ref":"Pact.Patterns.html#each_like/2-examples"},{"type":"type","title":"Pact.Patterns.json_matcher/0","doc":"","ref":"Pact.Patterns.html#t:json_matcher/0"},{"type":"type","title":"Pact.Patterns.json_pattern/0","doc":"","ref":"Pact.Patterns.html#t:json_pattern/0"},{"type":"function","title":"Pact.Patterns.json_pattern/1","doc":"Builds a JSON pattern structure.","ref":"Pact.Patterns.html#json_pattern/1"},{"type":"function","title":"Examples - Pact.Patterns.json_pattern/1","doc":"iex> Pact.Patterns.json_pattern(%{\"age\" => Pact.Patterns.like(25)})\n    %{\"age\" => {:like, 25}}","ref":"Pact.Patterns.html#json_pattern/1-examples"},{"type":"function","title":"Pact.Patterns.like/1","doc":"Creates a like matcher for JSON patterns. When used in string patterns, the inner\npattern must be a valid string pattern.","ref":"Pact.Patterns.html#like/1"},{"type":"function","title":"Examples - Pact.Patterns.like/1","doc":"iex> Pact.Patterns.like(42)\n    {:like, 42}","ref":"Pact.Patterns.html#like/1-examples"},{"type":"function","title":"Pact.Patterns.matching_regex/2","doc":"Creates a regex matcher for both JSON and string patterns.","ref":"Pact.Patterns.html#matching_regex/2"},{"type":"function","title":"Examples - Pact.Patterns.matching_regex/2","doc":"iex> Pact.Patterns.matching_regex(\"^\\d+$\", \"123\")\n    {:matching_regex, \"^\\d+$\", \"123\"}","ref":"Pact.Patterns.html#matching_regex/2-examples"},{"type":"type","title":"Pact.Patterns.string_matcher/0","doc":"","ref":"Pact.Patterns.html#t:string_matcher/0"},{"type":"type","title":"Pact.Patterns.string_pattern/0","doc":"","ref":"Pact.Patterns.html#t:string_pattern/0"},{"type":"function","title":"Pact.Patterns.string_pattern/1","doc":"Builds a string pattern structure.","ref":"Pact.Patterns.html#string_pattern/1"},{"type":"function","title":"Examples - Pact.Patterns.string_pattern/1","doc":"iex> Pact.Patterns.string_pattern(Pact.Patterns.like(\"example\"))\n    {:like, \"example\"}","ref":"Pact.Patterns.html#string_pattern/1-examples"},{"type":"function","title":"Pact.Patterns.term/2","doc":"Creates a regex matcher (alias for matching_regex/2).","ref":"Pact.Patterns.html#term/2"},{"type":"function","title":"Examples - Pact.Patterns.term/2","doc":"iex> Pact.Patterns.term(\"^\\d+$\", \"123\")\n    {:matching_regex, \"^\\d+$\", \"123\"}","ref":"Pact.Patterns.html#term/2-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}